﻿using System;
using System.Data.OracleClient;
using System.Globalization;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string id = GetCurrentUserId();
            Console.Write(id);
            Console.Read();
        }

        static string GetCurrentUserId()
        {
            string currentUserId = string.Empty;
            string sqlStatement = "select user from dual";

            OracleCommand command = null;
            OracleDataReader dataReader = null;

            try
            {
                command = GetOracleCommand(sqlStatement);
                command.Prepare();
                dataReader = command.ExecuteReader();

                if (dataReader.Read())
                {
                    currentUserId = Convert.ToString(dataReader[0], CultureInfo.InvariantCulture);
                }
            }
            finally
            {
                if (command != null)
                {
                    command.Connection.Close();
                    command.Dispose();
                }
                if (dataReader != null)
                {
                    dataReader.Dispose();
                }
            }

            return currentUserId;
        }

        static OracleCommand GetOracleCommand(string sqlStatement)
        {
            string connectionString = "Data Source=192.168.16.10:1521/MyOracleService;User ID=oUser;Password=MyPass";
            OracleConnection connection = new OracleConnection(connectionString);
            connection.Open();

            OracleCommand command = new OracleCommand(sqlStatement, connection);
            command.CommandTimeout = 30;
            return command;
        }
    }
}